| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

Classes | Macros | Enumerations
dynlib.h File Reference

## Classes

class | wxDynamicLibraryDetails
| This class is used for the objects returned by the wxDynamicLibrary::ListLoaded() method and contains the information about a single module loaded into the address space of the current process. More...
class | wxDynamicLibrary
| wxDynamicLibrary is a class representing dynamically loadable library (Windows DLL, shared library under Unix etc). More...

## Macros

#define | wxDYNLIB_FUNCTION(type, name, dynlib)
| When loading a function from a DLL you always have to cast the returned `void *` pointer to the correct type and, even more annoyingly, you have to repeat this type twice if you want to declare and define a function pointer all in one line.

## Enumerations

enum | wxDynamicLibraryCategory { wxDL_LIBRARY, wxDL_MODULE }
| Dynamic library category used with wxDynamicLibrary::CanonicalizeName(). More...
enum | wxPluginCategory { wxDL_PLUGIN_GUI, wxDL_PLUGIN_BASE }
| Dynamic library plugin category used with wxDynamicLibrary::CanonicalizePluginName(). More...

## Enumeration Type Documentation

enum wxDynamicLibraryCategory

Dynamic library category used with wxDynamicLibrary::CanonicalizeName().

Enumerator:

  wxDL_LIBRARY | Standard library.
  wxDL_MODULE | Loadable module/plugin.

enum wxPluginCategory

Dynamic library plugin category used with wxDynamicLibrary::CanonicalizePluginName().

Enumerator:

  wxDL_PLUGIN_GUI | Plugin that uses GUI classes.
  wxDL_PLUGIN_BASE | wxBase-only plugin.